Comments 24
UFO landed and left these words here
А данные в «вёдрах» :) приходят всегда в законченном виде или может прийти несколько ведёр? В том смысле, что, пусть отдаётся какой-то HTML, он придёт в одном ведре и может в разных в зависимости от длины?
Конечно же могут прийти в разных. По-моему где-то в исходниках я наталкивался на цифру в 8000 байт. Нужно перепроверить…
Тогда у вас в коде ошибка — если ведро с хтмлем кончится посередине тега, то этот тег пропустится. Сам на такие же грабли в другом месте наступал, вот и насторожило…

Отличная статья. Свой модуль писать я, конечно врядли стану, но всегда приятней знать как всё устроено. Особливо то, с чем постоянно работаешь. :)
Безусловно. Именно поэтому в начале исходника написано — НЕ ИСПОЛЬЗУЙТЕ НА РЕАЛЬНОМ ПРОЕКТЕ (для тех, кто скачивал и смотрел), а к функции дана приписка — «может не всегда правильно работать» :) И причин тому несколько, та на которую вы указали — одна из них.

Задача просто поделиться как и что работает в принципе, хотя, безусловно, аспект на который вы обратили внимание очень важен, и стоило бы его осветить. Спасибо за комментарий.
Начните с осознания того факта, что, без лишних телодвижений, вам придется иметь дело с чистым языком C безо всяких ++. И, возможно, это и к лучшему.

Ну, или Delphi — с 5-ки или 6-ки там для этого стандартный темплейт проекта.
У меня на Ubuntu нет Delphi, тем не менее спасибо за информацию. К слову, если присмотреться к исходникам стандартных модулей, там встречаются проектные файлы VisualStudio, что также наводит на определенные мысли ;)
Ах, да… Модули еще можно писать на Perl. Но, все-таки C — роднее как-то…
А где мне мышкой нажать «далее» «далее» «далее» «готово» в настройках M$ IIS, чтобы сделать подобное? :)
Когда мы деали эмулятор апача внутри iis я выкурил много исходников апача. это было, скажем так, не просто.
автору огромный респект. крутая статья.
UFO landed and left these words here
Нашел эту статью т.к. столкнулся с необходимостью пересобрать WSGI под последнюю версию Python. Оказалось что для сборки нужен APXS… Вот этот кусочек текста объясните:

apt-get install apache2-threaded-dev

или

apt-get install apache2-prefork-dev

в зависимости от соответствующей версии Apache, которую вы используете.


А как узнать какой надо? Они же оба для APACHE2…

P.S. Прошу прощение за, возможно, нубский вопрос но я с этим WSGI уже мучаюсь давно а сам чайник...
threaded — это многопоточная версия
prefork — мультипроцессная

Выбирайте ту, которая стоит у вас.
Это-то я понял. А вот как понять какая у меня на компьютере? Или это надо знать и по умолчанию ставится под процессор. Если там всего одно ядро и тред то однопоточная… что будет если на однопоточный процессор поставить много-поточную версию?? (если наоборот вроде понятно)

Кстати в WSGI настраиваются число потоков. Если через его настройки все указать не поможет?
ru.wikipedia.org/wiki/Apache#.D0.90.D1.80.D1.85.D0.B8.D1.82.D0.B5.D0.BA.D1.82.D1.83.D1.80.D0.B0

Дальше все зависит от того, какая у вас операционка и как установлен Апач. Когда вы ставите себе Апач вы вольны выбирать как он должен работать. Кстати эта статья писалась довольно давно — там могло что-то поменяться. Я давно попрощался с Апачем :)
Only those users with full accounts are able to leave comments. Log in, please.